/** 
 *******************************************************************************
 * @file    main.c
 * @brief   all interrupt request functions definition of ADC_Data_Read demo 
 *          for the TOSHIBA 'TMPM440' Device Series 
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/*  ------------------- info -----------------------------------
    This is a simple ADC demo run on IAR TMPM440-SK board. 
    It will display the AD value change in led display.
-------------------------------------------------------------- */

/* Includes ------------------------------------------------------------------*/
#include "main.h"
/**
  * @brief  main function
  * @param  None
  * @retval None
  */
int main(void)
{
    /* Initialize system */
    LED_Init();
    ADC_Init();                 /* Initialize the ADC module */
    ADC_Start(TSB_ADA);         /* Start ADC in unit A */

    /* enable ADA interrupt */
    NVIC_EnableIRQ(INTADA_IRQn);

    while (1) {
        if (fIntADC == 1U) {
            fIntADC = 0U;
            ADC_Display();
        }
    }
}

/**
  * @brief  Deal with the error parameter
  * @param  file: Pointer to the file where the error parameter locates
  * @param  line: Number of the line in which the error parameter locates
  * @retval None
  */
#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1) {
        __NOP();
    }
}
#endif
