/**
 *******************************************************************************
 * @file	main.c
 * @brief	the application functions of PSC_Repeat_Proc demo for the TOSHIBA
 *			'TMPM440' Device Series
 * @version	V2.0.2.2
 * @date	2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Includes ------------------------------------------------------------------*/
#include "main.h"
/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* external variables --------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
void PSC_DMATransfer(void);
void PSC_Init(void);
void TMRB09_Config(void);

/**
  * @brief  main function
  * @param  None.
  * @retval None.
  */
int main(void)
{
    /* PSC code/data Transmission by using DMA */
    PSC_DMATransfer();

    /* PSC Initialization */
    PSC_Init();

    /* TMRB09 configuration */
    TMRB09_Config();
    
    /* Start counter of the TMRB09 */
    TMRB_SetRunState(TSB_TB9, TMRB_RUN);

    while(1);
}

/**
  * @brief  Deal with the error parameter
  * @param  file: Pointer to the file where the error parameter locates
  * @param  line: Number of the line in which the error parameter locates
  * @retval None
  */
#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1) {
        __NOP();
    }
}
#endif
