/** 
 *******************************************************************************
 * @file	main.c
 * @brief	the application functions of PSC_Repeat_Proc demo for the TOSHIBA
 *			'TMPM440' Device Series 
 * @version	V2.0.2.2
 * @date	2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Includes ------------------------------------------------------------------*/
#include "tmrb.h"

#define SAMPLINGTIME        	0xF424U  /* fsys = fc = 10MHz * PLL = 100MHz, fphiT0 = fperiph = fgear = fc */
                              /* ftmrb = 1/128fphiT0 = 1/128 * 100 = 0.78125MHz, Ttmrb = 1.28us, 80ms/1.28us = 62500U = 0xF424U*/

/**
  * @brief  TMRB09 configuration function
  * @param  None.
  * @retval None.
  */
void TMRB09_Config(void)
{
    TMRB_InitTypeDef m_tmrb;

    m_tmrb.Mode = TMRB_INTERVAL_TIMER;
    m_tmrb.ClkDiv = TMRB_CLK_DIV_128;
    m_tmrb.TrailingTiming = SAMPLINGTIME;    /* periodic time is 80ms */
    m_tmrb.UpCntCtrl = TMRB_AUTO_CLEAR;
    m_tmrb.LeadingTiming = SAMPLINGTIME;     /* periodic time is 80ms */
 
    TMRB_Enable(TSB_TB9);
    TMRB_Init(TSB_TB9, &m_tmrb);
    NVIC_EnableIRQ(INTTB09_IRQn);
}


/**
  * @brief  interrupt TMRB09
  * @param  None.
  * @retval None.
  */
void INTTB09_IRQHandler(void)
{
    PSC_ClearEventOverrunFlag(PSC_TRIGGER_EVENT_0);
}
