/**
 *******************************************************************************
 * @file    main.c
 * @brief   the application functions of RTC demo for the TOSHIBA
 *          'TMPM440' Device Series
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* include file */

/* Includes ------------------------------------------------------------------*/
#include "main.h"

/**
  * @brief  main function.
  * @param  None
  * @retval None
  */

int main(void)
{
    uint8_t tmp1, tmp2, Sec;
    CG_SetFs(ENABLE);
    /* Initial RTC */
    LED_Init();
    RTC_Init();
    /* Enable RTC Clock function */
    RTC_EnableClock();

    while (1) {
        Sec = RTC_GetSec();
        tmp1 = (Sec % 10U) + 0x30U;
        delay();
        Sec = RTC_GetSec();
        tmp2 = (Sec % 10U) + 0x30U;
        if (tmp1 != tmp2) {
            RTC_Display();
        } else {
            /* Do nothing */
        }
    }
}

/**
  * @brief  Delay some time
  * @param  None
  * @retval None
  */
void delay(void)
{
    uint32_t i = 0U;
    for (i = 0U; i < 0xFFFFU; i++) {
        /* Do nothing */
    }
}

/**
  * @brief  Deal with the error parameter
  * @param  file: Pointer to the file where the error parameter locates
  * @param  line: Number of the line in which the error parameter locates
  * @retval None
  */

#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1) {
        __NOP();
    }
}
#endif
