/**
 ******************************************************************************
 * @file     led.h
 * @brief    LED driver for no GPIO driver
 * @version  V0.101
 * @date     2014/05/20
 *
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 *
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 ******************************************************************************
 */
#ifndef __LED_H
#define __LED_H
/** include files **/
#include "TMPM440.h"

/** definitions **/
#define LED0        (1U<<0U)
#define LED1        (1U<<1U)
#define LED2        (1U<<2U)
#define LED3        (1U<<3U)
#define LED4        (1U<<4U)
#define LED5        (1U<<5U)
#define LED6        (1U<<6U)
#define LED7        (1U<<7U)
#define LED_ALL     0xFFU

#define TSB_LED    TSB_PT

/** public functions **/
/*************************************************************************
 * Function Name: LED_Init
 * Parameters:None
 *
 * Return:None
 *
 * Description: Init LED ports
 *
 *************************************************************************/
void LED_Init(void);

/*************************************************************************
 * Function Name: LedOff
 * Parameters:LED number
 *
 * Return:None
 *
 * Description: Led Digtit OFF, but others don't change
 *
 *************************************************************************/
void LED_Off(uint8_t led);

/*************************************************************************
 * Function Name: LedOn
 * Parameters:LED number
 *
 * Return:None
 *
 * Description: Led Digtit ON, but others don't change
 *
 *************************************************************************/
void LED_On(uint8_t led);


/*************************************************************************
 * Function Name: Led_Display
 * Parameters:LED display data (for each bit in bit0 to bit7: '0' off, '1' on)
 *
 * Return:None
 *
 * Description: display the data on eight LED.
 *
 *************************************************************************/
void LED_Display(uint8_t led);

#endif                          /* __LED_H */
